XRefFadeIntensity Example

Using Programming Languages other than VBA

Sub Example_XRefFadeIntensity()
	' This example reads and modifies the preference value that controls
	' the dimming intensity for xrefs. When finished, this example resets
	' the preference value back to its original value.
	'
	' * Note: Changes can only be observed when in-place editing of an Xref
	' object is in progress and other entities are visible.

	Dim ACADPref As AcadPreferencesDisplay
	Dim originalValue As Variant, newValue As Variant

	' Get the display preferences object
	Set ACADPref = ThisDrawing.Application.preferences.DISPLAY

	' Read and display the original value
	originalValue = ACADPref.XRefFadeIntensity
	MsgBox "The XRefFadeIntensity preference is: " & originalValue

	' Modify the XRefFadeIntensity preference by setting it to 75
	ACADPref.XRefFadeIntensity = 75
	newValue = ACADPref.XRefFadeIntensity
	ThisDrawing.Regen acAllViewports

	MsgBox "The XRefFadeIntensity preference has been set to: " & newValue

	' Reset the preference back to its original value
	'
	' * Note: Comment out this last section to leave the change to
	'		 this preference in effect
	ACADPref.XRefFadeIntensity = originalValue
	ThisDrawing.Regen acAllViewports

	MsgBox "The XRefFadeIntensity preference was reset back to: " & originalValue
End Sub

 

   Comments?